Skip to main content
GET
/
future-events
Retrieve Future Events
curl --request GET \
  --url https://api.nuwebgroup.com/v1/future-events \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "name": "Event A",
    "city": "City of London",
    "venue": "London",
    "start": "2021-11-22T11:59:00.000000Z",
    "end": "2021-11-25T11:59:00.000000Z",
    "timezone": "Europe/London",
    "media": {
      "header-image": "https://path-to-image.com",
      "list-thumbnail": "https://path-to-image.com",
      "meta-thumbnail": "https://path-to-image.com",
      "thumbnailImage": {
        "type": "thumbnailImage",
        "id": 1,
        "attributes": {
          "modelType": "events",
          "modelId": 201,
          "collectionName": "card_thumbnail_en",
          "mimeType": "image/png",
          "size": 376634,
          "orderColumn": 1,
          "updatedAt": "2022-07-29T13:45:05.000000Z",
          "createdAt": "2022-07-29T13:45:05.000000Z",
          "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
        }
      },
      "pageHeaderImage": {
        "type": "pageHeaderImage",
        "id": 1,
        "attributes": {
          "modelType": "events",
          "modelId": 201,
          "collectionName": "page_header_en",
          "mimeType": "image/png",
          "size": 376634,
          "orderColumn": 1,
          "updatedAt": "2022-07-29T13:45:05.000000Z",
          "createdAt": "2022-07-29T13:45:05.000000Z",
          "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
        }
      },
      "metaImage": {
        "type": "metaImage",
        "id": 1,
        "attributes": {
          "modelType": "events",
          "modelId": 201,
          "collectionName": "meta_image_en",
          "mimeType": "image/png",
          "size": 376634,
          "orderColumn": 1,
          "updatedAt": "2022-07-29T13:45:05.000000Z",
          "createdAt": "2022-07-29T13:45:05.000000Z",
          "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
        }
      }
    },
    "scanningMode": "qr-only",
    "timeslots": [
      {
        "id": 221,
        "name": "Morning (AM)",
        "start": "2022-06-13T10:24:00.000000Z",
        "end": "2022-06-13T11:24:00.000000Z",
        "ticketTypeIds": [
          281
        ]
      }
    ],
    "permissions": {
      "canEditEvent": true
    },
    "gates": [
      {
        "id": 1,
        "name": "Gate A"
      },
      {
        "id": 1,
        "name": "Gate B"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

limit
integer

Limit the number of returned events, defaults to 100.

query
string

Filter events where the event name contains this value. Search is case-insensitive

date
string

Filter events that are in progress on this date. Accepted formats:

  • YYYY-MM-DD e.g. 2020-10-21
  • YYYY-MM-DD HH:MM:SS e.g. 2021-01-01 00:00:00
  • YYYY-MM-DDTHH:mm:ss.SSSSSSZ e.g. 2021-01-01T00:00:00.000000Z
Date formats that do not include the timezone must be in UTC.

Response

Successful request to fetch future events.

companyId
integer

The ID of the currently selected company for the authenticated user.

companyName
string

The name of the currently selected company for the authenticated user.

events
object[]

The name of the currently selected company for the authenticated user.